Update Agent 6.3 P-1 for Linux, Unix, Mac, and NetWare (LUMN)

  • 3493089
  • 01-Feb-2007
  • 30-Apr-2012

Environment

Novell ZENworks Patch Management 6.3 - ZPM6.3

Situation

There are various agent fixes in Update Agent 6.3 P-1 which exist in 6.3 RTM (.669) and Rev2 (.700) versions of the Update Agent for LUMN:
  • On Solaris 10 a deployment would indicate failure if it wrote information out to the STDERR (3344).
  • On Solaris 7 SPARC 64bit and x86 Java, the installation would report an incorrect machine architecture (3345)
  • The LUMN silent-install incorrect states the existing of the agent when the agent previously existed but was uninstalled. If a previous agent is detected or if cleanup has not occurred (uninstall did not remove everything) then the message indicates what must be done to install the agent. (4638)
  • The DAU on Novell Netware now updates its information on PLUS. (4661)
  • Inventory correctly identifies the system’s support pack level after a support pack on Netware has occurred. (4664)
  • The agent uninstall doesn’t properly check if a DAU is running. (4681)
  • LUM Agent doesn’t install or uninstall correctly on Novell Netware PC. (4706)
  • The Novell Netware machine will reboot but will not invoke the Notification window. (4796)
  • The Novell Netware PDDM does not have the correct branded name. (4863)
  • The Novell Netware snooze option on the PLUS is not working correctly. (4879)
  • Agent P-1 for LUMN does not install properly on Solaris 9 machines. (5177, 5178, 6989)
  • The silent installation for the upgrade from 6.2 to 6.3 incorrectly states an agent is installed. An interactive installation does not produce this result. (5438)
  • The LUMN release date and version numbers were incorrect on the PLUS and Server GUI page. (5512, 5572)
  • The LUMN installer would only allow for groups to be added with alpha numeric characters in the group name. (5546)
  • Solaris 10 not recognizing patches that were installed on previous UNIX Agent (6.0067 and JRE 1.4). (5739)
  • The LUMN Agent was storing encrypted proxy password information in the update.conf before the fastpath check was complete. (6576, 6710)
  • The LUMN Agent was going offline after being assigned a fastpath server using authentication. (6626) The agent will also fail to authenticate against the authenticated proxy set by fastpath. (6669)
  • The proxy setup: n option restarts the Agent when it’s not required. (6711)
  • The LUMN agent fails to restart on the initial installation when the update.conf is left blank. (6714)
  • Invalid Proxy user during installation causes Java Runtime Exception. (6715)
  • When doing a silent installation, the option for using an authenticated proxy is not listed in the README. (6716)
  • The 6.3 LUMN Agent Installer doesn’t allow user to select which directory they would like to install the agent to. (6734)
  • The LUMN Symantec control panel isn’t displaying the correct logo. (6985)

Documentation

ZENworks Patch Management Update 6.3 Agent Installation Guide

Software Requirements

Resolution

Installation

PatchLink Engineering has created the following fixes
  • B - ZENworks Patch Management Update Agent 6.3 P-1 Linux/UNIX/Mac/Netware Server Patch. This patch is designed to be installed on the Update Server 6.3. The patch will replaced the existing 6.3 LUMN Installers with 6.3 P-1 located in\Update Server\Webroot\download directory.
  • C - ZENworks Patch Management Update Agent 6.3 P-1 Linux/UNIX/Mac/Netware. This patch is designed to be deployed from your Update Server to upgrade your existing LUMN Agents to 6.3 P-1.

Note:Both patches for the Server and Agents will be available at the bottom of this article.

The Update Agent for LUMN v6.3 P-1 upgrade is included in as part of your subscription. ZPM Administrators can deploy the package to upgrade their existing systems. Customers that already have Update Server v6.3 installed can download the latest version by logging into the Update Server Web Management Console > click on the Devices > Install >Single Agent Installer for Linux/Unix/Mac/Netware.

Automatic Installation Notes
  • Supported for Linux, UNIX and Mac but not NetWare.
  • Requires the "at” subsystem.
    • Enabled by default on most platforms, but not Mac OS X and SuSE Linux Enterprise. The HotFix enables (and then disables) it on Mac OS X platforms.
    • The upgrade will be delayed until started by the "at” subsystem; this is usually 2-7 minutes, but the actual time is configuration-dependent.
    • The Server will normally show a "Successful” deployment, and will continue to show the old Agent revision on the Devices page until the at-job completes. After the at-job completes, the new Agent will report to the Server and a DAU will run, at which time the Server will show the new version.
Manual Upgrade Installation Notes
  • Installation is supported for all platforms.
  • Upgrade is supported for LUM, but not Netware.
  • The file is dropped in the %TEMP% directory, which is usually"/tmp/”.
  • The file name is "UnixUpdateAgent6_3488PL.tar”.
  • The system administrator can unpack the tar-ball and install it in the usual ways, except:
    • The new Agent is installed with "install” instead of"installPatchLink”.
    • The upgrade is done with "install -silent -reinstall”.
General Installation Notes
  • The HotFix may not show up as applicable with a 6.3 Server, because older Agents and the 6.3 Server don’t always communicate well together. In this case, the HotFix package can be deployed from the Packages page.
  • The new Agent runs in the "patchagent” directory instead of the "patchlink” directory. The system administrator can remove the "patchlink” directory at any time after the upgrade.
  • After the upgrade, the Devices page on the Server will show the new revision. The Vulnerabilities page may not yet show the change, because the upgrade may not trigger a complete DAU. The ZPM Administrator can start the DAU by clicking the Scan Now button on the ZPM Update Server Web Management Console.


FAQ

How does one determine if the patch is installed or not?
A registry key will exist on the Update Server:
HKLM\Software\Microsoft\Windows\CurrentVersion\Uninstall\{8E6EE960-730E-4CEB-A137-3406E18DBB0E}

Your existing LUMN Agents will report version 6.3488 in the Devices Pages on the Update Server Web Management Console.